Name:           perl-JSON-Validator
Version:        3.06
Release:        1%{?dist}
Summary:        Validate data against a JSON schema
License:        Artistic 2.0

URL:            https://metacpan.org/release/JSON-Validator
Source0:        https://cpan.metacpan.org/authors/id/J/JH/JHTHORSEN/JSON-Validator-%{version}.tar.gz

BuildArch:      noarch
# build dependencies
BuildRequires:  make
BuildRequires:  perl-interpreter >= 0:5.010001
BuildRequires:  perl-generators
BuildRequires:  perl(ExtUtils::MakeMaker) >= 6.76
BuildRequires:  perl(utf8)
BuildRequires:  perl(warnings)
BuildRequires:  perl >= 0:5.010001
# runtime deps
BuildRequires:  perl(B)
BuildRequires:  perl(Carp)
BuildRequires:  perl(Exporter)
BuildRequires:  perl(Mojo::Base) >= 7.28
BuildRequires:  perl(Mojo::File)
BuildRequires:  perl(Mojo::JSON)
BuildRequires:  perl(Mojo::JSON::Pointer)
BuildRequires:  perl(Mojo::Loader)
BuildRequires:  perl(Mojo::URL)
BuildRequires:  perl(Mojo::UserAgent)
BuildRequires:  perl(Mojo::Util)
BuildRequires:  perl(Scalar::Util)
BuildRequires:  perl(Term::ANSIColor)
BuildRequires:  perl(Tie::Hash)
BuildRequires:  perl(Tie::StdHash)
BuildRequires:  perl(Time::Local)
BuildRequires:  perl(base)
BuildRequires:  perl(constant)
BuildRequires:  perl(overload)
BuildRequires:  perl(strict)
# test deps
BuildRequires:  perl(Data::Validate::Domain)
BuildRequires:  perl(Data::Validate::IP)
BuildRequires:  perl(File::Find)
BuildRequires:  perl(Mojolicious::Lite)
BuildRequires:  perl(Net::IDN::Encode)
BuildRequires:  perl(Test::Mojo)
BuildRequires:  perl(Test::More) >= 1.30
BuildRequires:  perl(Net::IDN::Encode)
BuildRequires:  perl(Net::IDN::Encode)
BuildRequires:  perl(YAML::XS)
BuildRequires:  perl(lib)
Requires:       perl(Mojolicious) >= 7.28
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
Suggests:       perl(YAML::XS) >= 0.67
Suggests:       perl(Term::ANSIColor)
Suggests:       perl(Mojo::UserAgent)
Suggests:       perl(Data::Validate::Domain)
Suggests:       perl(Data::Validate::IP)
Suggests:       perl(Net::IDN::Encode)

%description
JSON::Validator is a data structure validation library based around JSON
Schema. This module can be used directly with a JSON schema or you can use
the elegant DSL schema-builder JSON::Validator::joi to define the schema
programmatically.

%prep
%setup -q -n JSON-Validator-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1
make %{?_smp_mflags}

%install
make pure_install DESTDIR=$RPM_BUILD_ROOT
%{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%files
%doc Changes META.json README.md
%{perl_vendorlib}/JSON*
%{_mandir}/man3/JSON*

%changelog
* Thu Mar 07 2019 Emmanuel Seyman <emmanuel@seyman.fr> - 3.06-2
- Take into account review comments (#1686210)

* Wed Mar 06 2019 Emmanuel Seyman <emmanuel@seyman.fr> - 3.06-1
- Initial specfile, based on the one autogenerated by cpanspec 1.78.
